Sisimai::Reason::NoRelaying(3pm)

NAME
Sisimai::Reason::NoRelaying - Bounce reason is "norelaying" or not.

SYNOPSIS
    use Sisimai::Reason::NoRelaying;
    print Sisimai::Reason::NoRelaying->match('Relaying denied');   # 1

DESCRIPTION
Sisimai::Reason::NoRelaying checks the bounce reason is "norelaying" or not. This class is called only Sisimai::Reason class.

This is the error that SMTP connection rejected with error message "Relaying Denied". This reason does not exist in any version of bounceHammer.

    ... while talking to mailin-01.mx.example.com.:
    >>> RCPT To:<kijitora@example.org>
    <<< 554 5.7.1 <kijitora@example.org>: Relay access denied
    554 5.0.0 Service unavailable

CLASS METHODS

  "text()"
"text()" returns string: "norelaying".

    print Sisimai::Reason::NoRelaying->text;  # norelaying

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::NoRelaying->match('Relaying denied');   # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "norelaying". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.